<?php
/**
 * Link         :   http://www.phpcorner.net
 * User         :   qingbing<780042175@qq.com>
 * Date         :   2018-10-27
 * Version      :   1.0
 */

namespace Test;

use Helper\CList;
use TestCore\Tester;

/**
 * Class Core
 * @package Test
 */
class TestList extends Tester
{
    /**
     * 执行函数
     * @return mixed|void
     * @throws \Helper\Exception
     */
    public function run()
    {
        // 实例化列表
        $list = new CList();
        // 添加列表
        $list->push(['id' => '1', 'name' => 'aa']);
        $list->push(['id' => '2', 'name' => 'bb']);
        $list->push(['id' => '3', 'name' => 'cc']);
        $list->push(['id' => '4', 'name' => 'dd']);
        $list->push(['id' => '5', 'name' => 'ee']);
        $list->unshift(['id' => '6', 'name' => 'ee']);
        // 遍历列表
        foreach ($list as $k => $v) {
            var_dump($v);
        }
        // 统计列表包含元素个数
        var_dump(count($list));
        var_dump($list);
        // 移除最后的元素
        var_dump($list->shift());
        var_dump($list);

        // 移除最后的元素
        var_dump($list->pop());
        var_dump($list);
    }
}